Bug 210707

Summary: Xorg CPU high when loading Xen Kernel & ATI Driver
Product: [Fedora] Fedora Reporter: Mohammed Ghanawi <mghanawi>
Component: xenAssignee: Eduardo Habkost <ehabkost>
Status: CLOSED WONTFIX QA Contact: Martin Jenner <mjenner>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: bstein, katzj, xen-maint
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-02-26 18:31:52 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Mohammed Ghanawi 2006-10-13 16:35:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.0.7) Gecko/20060909 Firefox/1.5.0.7

Description of problem:
When starting the machine with the xen-3.0.2-44 kernel-xen.2.6.18-1.2768.fc6 xorg-x11-drv-ati-6.6.2-4.fc6, xorg-x11-server-Xorg.1.1.1-47.fc6. After logining into KDE, the xorg process cosumes the whole CPU, and the machine appears freezed.

This does not happen when loading a normal kernel or PAE based.

This also happens regardless of whethere DRI  or GLX are disabled or not in the xorg.conf.

Version-Release number of selected component (if applicable):
xen-3.0.2-44 kernel-xen.2.6.18-1.2768.fc6 xorg-x11-drv-ati-6.6.2-4.fc6 xorg-x11-server-Xorg.1.1.1-47.fc6

How reproducible:
Always


Steps to Reproduce:
1. Boot into Xen
2. Just start the X server with the above packages
3. Log onto KDE or GNOME

Actual Results:


Expected Results:


Additional info:
Comment 2 Red Hat Bugzilla 2007-07-24 20:00:08 EDT
change QA contact
Comment 4 Chris Lalancette 2008-02-26 18:31:52 EST
This report targets FC6, which is now end-of-life.

Please re-test against Fedora 7 or later, and if the issue persists, open a new bug.

Thanks